ofGstVideoUtils not loaded

Hi!!!

After update my OS to ubuntu 22.04 all my openframeworks codes that uses ofVideoPlayer no longer works.

I found in other topics some discussion about GStreamer issues after updating to 1.20 series.

Has anyone experienced the same problem? Has any new discussion or solution been found yet?

=========================================

i’m using two computers with OF 0.11.2 that report different errors.

Plain Ubuntu 22.04 - running videoPlayerExample

[notice ] ofGstUtils: Got context from element ‘vaapipostproc0’: gst.gl.GLDisplay=context, gst.gl.GLDisplay=(GstGLDisplay)"(GstGLDisplayX11)\ gldisplayx11-0";

[notice ] ofGstUtils: Got context from element ‘vaapipostproc0’: gst.vaapi.Display=context, gst.vaapi.Display=(GstVaapiDisplay)"(GstVaapiDisplayGLX)\ vaapidisplayglx0", gst.vaapi.Display.GObject=(GstObject)"(GstVaapiDisplayGLX)\ vaapidisplayglx0";

[warning] ofGstVideoUtils: update(): ofGstVideoUtils not loaded
[warning] ofGstUtils: getDurationNanos(): couldn’t query time duration
[warning] ofGstUtils: getDurationNanos(): couldn’t query time duration
[warning] ofGstVideoUtils: update(): ofGstVideoUtils not loaded

In Ubuntustudio 22.04 (ubuntu official flavor) - running videoPlayerExample

Segmentation fault

thanks!!!

Closing topic. Follow discussion and solution here:

https://forum.openframeworks.cc/t/ofxgstreamer-on-m1-mac/40257/42

Thanks to all community and ofTheo!!!